<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddWifiHotspotReq StructType
 * @subpackage Structs
 */
class AddWifiHotspotReq extends APIRequest
{
    /**
     * The wifiHotspot
     * @var XWifiHotspot
     */
    public $wifiHotspot;
    /**
     * Constructor method for AddWifiHotspotReq
     * @uses AddWifiHotspotReq::setWifiHotspot()
     * @param XWifiHotspot $wifiHotspot
     */
    public function __construct(XWifiHotspot $wifiHotspot = null)
    {
        $this
            ->setWifiHotspot($wifiHotspot);
    }
    /**
     * Get wifiHotspot value
     * @return XWifiHotspot|null
     */
    public function getWifiHotspot()
    {
        return $this->wifiHotspot;
    }
    /**
     * Set wifiHotspot value
     * @param XWifiHotspot $wifiHotspot
     * @return AddWifiHotspotReq
     */
    public function setWifiHotspot(XWifiHotspot $wifiHotspot = null)
    {
        $this->wifiHotspot = $wifiHotspot;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddWifiHotspotReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
